.m-KOload{position:relative;height:4em;display: box;display:-ms-flexbox;display: -webkit-box;display: -webkit-flex;display: -moz-flex;display: -o-flex;display: flex;-ms-flex: 1;-webkit-box-flex: 1;-webkit-flex-grow: 1;-o-flex-grow: 1;-moz-flex-grow: 1;flex-grow: 1;z-index:10000;}
.m-KOload .inner{-ms-flex: 1;-webkit-box-flex: 1;-webkit-flex-grow: 1;-o-flex-grow: 1;-moz-flex-grow: 1;flex-grow: 1;display: box;display:-ms-flexbox;display: -webkit-box;display: -webkit-flex;display: -moz-flex;display: -o-flex;display: flex;-ms-align-items: center;-moz-align-items: center;-o-align-items: center;-webkit-align-items: center;align-items: center;-webkit-justify-content: center;-moz-justify-content: center;-ms-justify-content: center;-o-justify-content: center;justify-content: center;line-height: 1;}
.m-KOload.absolute{position: absolute;left: 0;top: 0;right: 0;bottom: 0;height: auto;margin: 0;}
.m-KOload.white i:before{border:2px solid rgba(255,255,255,0.5);}
.m-KOload.white .load-text{color: #FFF;text-shadow: 0 0 .3em rgba(0,0,0,1);}
.m-KOload.bg{background: rgba(255,255,255,.4);}
.m-KOload.bg.white{background: rgba(0,0,0,.4);}

.m-KOload i{vertical-align: middle;}
.m-KOload i:before{content:"";width:16px;height:16px;display:inline-block;border-radius:100%;border:2px solid rgba(0,0,0,0.5);border-bottom-color:transparent;-webkit-animation:rotate 0.75s linear infinite;animation:rotate 0.75s linear infinite;margin: 0 .5em;}
.m-KOload.white i:before{border:2px solid rgba(255,255,255,0.5);border-bottom-color:transparent;}
.m-KOload .load-text{color: #999;vertical-align: middle;text-shadow: 0 0 .3em rgba(255,255,255,1);}

.m-KOload.fixed .inner i{margin-bottom: 10px;}
.m-KOload.fixed .inner i:before{border:2px solid rgba(255,255,255,0.8);border-bottom-color:transparent;}
.m-KOload.fixed .inner .load-text{color: rgba(255,255,255,0.8);}

.m-KOload.fixed.middle{position: fixed;top: 50%;left: 50%;width: 30%;height: auto;margin-left: -15%;}
.m-KOload.fixed.middle .inner{-webkit-flex-direction: column;-moz-flex-direction: column;-ms-flex-direction: column;-o-flex-direction: column;flex-direction: column;padding: 30px 0 25px;margin-top: -50%;background: rgba(0,0,0,0.7);-webkit-border-radius: 10px;-moz-border-radius:10px;border-radius: 10px;}

.m-KOload.fixed.modal{position: fixed;height: auto;top: 0;left: 0;right: 0;bottom: 0;-ms-align-items: center;-moz-align-items: center;-o-align-items: center;-webkit-align-items: center;align-items: center;-webkit-justify-content: center;-moz-justify-content: center;-ms-justify-content: center;-o-justify-content: center;justify-content: center;z-index:999;}
.m-KOload.fixed.modal .inner{-ms-flex: 0;-webkit-box-flex: 0;-webkit-flex-grow: 0;-o-flex-grow: 0;-moz-flex-grow: 0;flex-grow: 0;-webkit-flex-direction: column;-moz-flex-direction: column;-ms-flex-direction: column;-o-flex-direction: column;flex-direction: column;width: 30%;padding: 30px 0 25px;background: rgba(0,0,0,0.7);-webkit-border-radius: 10px;-moz-border-radius:10px;border-radius: 10px;}






@-webkit-keyframes rotate{
    0%{-webkit-transform:rotate(0deg);}
    50%{-webkit-transform:rotate(180deg);}
    100%{-webkit-transform:rotate(360deg);}
}
@keyframes rotate{
    0%{transform:rotate(0deg);}
    50%{transform:rotate(180deg);}
    100%{transform:rotate(360deg);}
}
